<?php

function getsoapy_blocks_category($categories)
{
    array_splice(
        $categories,
        2,
        0,
        [
            [
                'slug'  => 'getsoapy',
                'title' => 'getSoapy',
            ],
        ]
    );
    return $categories;
}
add_action('block_categories_all', 'getsoapy_blocks_category', 10, 2);

function getsoapy_register_blocks()
{
    if (!function_exists('register_block_type')) {
        return;
    }

    wp_register_script(
        'getsoapy-blocks',
        plugins_url('block.js', __FILE__),
        array('wp-blocks', 'wp-element', 'wp-i18n'),
        rand(),
        true
    );

    register_block_type('getsoapy/quote', array(
        'api_version' => 2,
        'editor_script' => 'getsoapy-blocks',
    ));

    register_block_type('getsoapy/payment', array(
        'api_version' => 2,
        'editor_script' => 'getsoapy-blocks',
    ));

    register_block_type('getsoapy/portal', array(
        'api_version' => 2,
        'editor_script' => 'getsoapy-blocks',
    ));
}
add_action('init', 'getsoapy_register_blocks');
