<?php

$__file = str_replace('activate.php', 'getsoapy.php', __FILE__);

function getsoapy_activate()
{
    try {
        getsoapy_find_business_id();
    } catch (\Exception $e) {
        // Meh
    }

    flush_rewrite_rules();
}

register_activation_hook($__file, 'getsoapy_activate');

function getsoapy_deactivate()
{
    flush_rewrite_rules();
}
register_deactivation_hook($__file, 'getsoapy_deactivate');

function getsoapy_find_business_id()
{
    $site_url = get_site_url();
    $url = 'https://getsoapy.com/api/embed/suggestBusinessId?url=' . $site_url;
    $json = file_get_contents($url);
    if (!$json) {
        return;
    }
    $result = json_decode($json);
    if (empty($result->data->businessId)) {
        return;
    }

    update_option('getsoapy_business_id', $result->data->businessId);
}
